local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/maxwell.fsb"),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/td.zip" ),
		Asset("ANIM", "anim/reaper.zip"),
		Asset("ANIM", "anim/swap_reaper.zip"), 
}
local prefabs = {"reaper"}


local start_inv = {
	"nightmarefuel",
	"nightmarefuel",
	"nightmarefuel",
	"reaper",

}

local fn = function(inst)
	
	-- choose which sounds this character will play
	inst.soundsname = "maxwell"

	-- a minimap icon must be specified
	local minimap = inst.entity:AddMiniMapEntity()
    minimap:SetIcon( "clem.tex" )

	-- todo: Add an example special power here.
	inst.components.health:SetMaxHealth(200)
	inst.components.hunger:SetMax(150)
	inst.components.sanity:SetMax(100)
	
	inst.components.combat.damagemultiplier = 1
	
	inst.components.sanity.neg_aura_mult = 0.5
	
	inst.components.sanity.night_drain_mult = 0.2
	
	local Combat = Class(function(self, inst)
	--attack range is how far away the enemy is where the player will try to take a jab at it
	inst.components.combat.attackrange = 3
	--hitrange how far the player can actually hit
	inst.components.combat.hitrange = 3
	--attack_period is how long it takes to attack
	inst.components.combat.min_attack_period = 4
	
	
    end)
end



STRINGS.CHARACTERS.TD= require "speech_td"

return MakePlayerCharacter("td", prefabs, assets, fn, start_inv)
